ClientRMSecurityInfo (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.security.client, class: ClientRMSecurityInfo

Package org.apache.hadoop.yarn.security.client

# Class ClientRMSecurityInfo

java.lang.Object
org.apache.hadoop.security.SecurityInfo
org.apache.hadoop.yarn.security.client.ClientRMSecurityInfo

@Public @Stable public class ClientRMSecurityInfo extends org.apache.hadoop.security.SecurityInfo

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientRMSecurityInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.security.KerberosInfo`
  `getKerberosInfo(Class<?> protocol, Configuration conf)`
  Get the KerberosInfo for a given protocol.
  `TokenInfo`
  `getTokenInfo(Class<?> protocol, Configuration conf)`
  Get the TokenInfo for a given protocol.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClientRMSecurityInfo

    public ClientRMSecurityInfo()

- ## Method Details

  - ### getKerberosInfo

    public org.apache.hadoop.security.KerberosInfo getKerberosInfo(Class<?> protocol, Configuration conf)
    Description copied from class: `org.apache.hadoop.security.SecurityInfo`
    Get the KerberosInfo for a given protocol.
    Specified by:
      `getKerberosInfo` in class `org.apache.hadoop.security.SecurityInfo`
    Parameters:
      `protocol` - interface class
      `conf` - configuration
    Returns:
      KerberosInfo

  - ### getTokenInfo

    public TokenInfo getTokenInfo(Class<?> protocol, Configuration conf)
    Description copied from class: `org.apache.hadoop.security.SecurityInfo`
    Get the TokenInfo for a given protocol.
    Specified by:
      `getTokenInfo` in class `org.apache.hadoop.security.SecurityInfo`
    Parameters:
      `protocol` - interface class
      `conf` - configuration object.
    Returns:
      TokenInfo instance